API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

PATCH /v1/campaigns/{id}/items/{itemId}/assignment

PATCH/v1/campaigns/{id}/items/{itemId}/assignment

Update mutable workflow fields on a campaign item: assignee, outcome, notes and priority. Automatically stamps outcomeAt/outcomeBy when outcome changes.

Datenmodell

Diese Operation arbeitet auf der Entität Campaign (campaign). Alle 30 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
assigneeUserIdstring
assigneeTeamIdstring
outcomestring
outcomeNotesstring
notesstring
prioritystring

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring
itemIderforderlichstring

Beispiel

curl -X PATCH https://api.codemeta-os.de/v1/campaigns/{id}/items/{itemId}/assignment \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "assigneeUserId": "string",
  "assigneeTeamId": "string",
  "outcome": "string",
  "outcomeNotes": "string",
  "notes": "string",
  "priority": "LOW"
}'
const result = await cm.campaigns.patch({
  "assigneeUserId": "string",
  "assigneeTeamId": "string",
  "outcome": "string",
  "outcomeNotes": "string",
  "notes": "string",
  "priority": "LOW"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche